Bug 656567 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyphesis
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Preisler
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On: 544254
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:26 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
3 users (show)

Fixed In Version: cyphesis-0.5.26-6.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-25 08:21:59 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:26:53 UTC
Your package cyphesis appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Bruno Wolff III 2011-05-07 17:55:04 UTC
I'll worry about this when I do the update to 0.5.26 (bug 544254). A few other things need to get rebuilt first.

Comment 2 Fedora Admin XMLRPC Client 2012-01-12 16:14:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2012-02-16 14:00:00 UTC
cyphesis-0.5.26-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cyphesis-0.5.26-6.fc16

Comment 4 Fedora Update System 2012-02-16 14:51:44 UTC
cyphesis-0.5.26-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cyphesis-0.5.26-6.fc15

Comment 5 Fedora Update System 2012-02-16 15:06:00 UTC
cyphesis-0.5.26-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cyphesis-0.5.26-6.fc17

Comment 6 Fedora Update System 2012-02-16 19:24:42 UTC
Package cyphesis-0.5.26-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cyphesis-0.5.26-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1793/cyphesis-0.5.26-6.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-25 08:21:59 UTC
cyphesis-0.5.26-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-25 08:36:05 UTC
cyphesis-0.5.26-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-02-28 10:33:44 UTC
cyphesis-0.5.26-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.